<script>
import { RouterLink } from "vue-router";
import store from "@/store"
export default {
    name: 'SideNavbar',
    props: {
    },
    data () {
        return {
            dropdowns: [],
            appName: import.meta.env.VITE_APP_NAME,
            userRole: store.state.userRole
        }
    },
    methods: {
        togleDropdown(key){
            for (let i = 0; i < this.dropdowns.length; i++) {  
                this.dropdowns[i] = i!==key ? false : this.dropdowns[key]
            }
            setTimeout(() => {
                this.dropdowns[key] = !this.dropdowns[key]
            },300)
        },
        doSignOut(){
            localStorage.clear()
            location.reload()
        }
    },
    mounted() {
        this.dropdowns = new Array(this.$router.options.routes.length).fill(false);
    }
}
</script>

<template>
    <div class="iq-sidebar  sidebar-default ">
        <div class="iq-sidebar-logo d-flex align-items-center justify-content-between">
            <a href="/" class="header-logo">
                <img src="../assets/images/KulakanJeddah3.png" class="img-fluid rounded-normal light-logo" alt="logo">
                <!-- <h5 class="logo-title light-logo ml-3">{{appName}}</h5> -->
            </a>
            <div class="iq-menu-bt-sidebar ml-0">
                <i class="las la-bars wrapper-menu"></i>
            </div>
        </div>
        <div class="data-scrollbar" data-scroll="1">
            <nav class="iq-sidebar-menu">
                <ul id="iq-sidebar-toggle" class="iq-menu">
                    <li v-for="(item, index) in $router.options.routes" :key="item.path" :class="{active:item.name.includes($route.name) || dropdowns[index]}" @click="togleDropdown(index)" >
                        <router-link v-if="(item.role == 'ALL' || item.role == userRole) && !item.children"  :to="item.path" >
                            <i :class="'svg-icon '+item.icon" ></i>
                            <span class="ml-4">{{item.name.split('.')[0]}}</span>
                            <i v-if="item.children && item.name.includes($route.name)" class="svg-icon iq-arrow-right arrow-active ri-arrow-down-s-line"></i>
                            <i v-if="item.children && !item.name.includes($route.name)" class="svg-icon iq-arrow-right arrow-active ri-arrow-right-s-line"></i>
                        </router-link>
                        <a :href="'#'+index" :class="{collapsed:dropdowns[index]}" v-if="(item.role == 'ALL' || item.role == userRole) && item.children">
                            <i :class="'svg-icon '+item.icon" ></i>
                            <span class="ml-4">{{item.name.split('.')[0]}}</span>
                            <i v-if="item.children && item.name.includes($route.name)" class="svg-icon iq-arrow-right arrow-active ri-arrow-down-s-line"></i>
                            <i v-if="item.children && !item.name.includes($route.name)" class="svg-icon iq-arrow-right arrow-active ri-arrow-right-s-line"></i>
                        </a>
                        <ul class="iq-submenu collapse" v-if="item.children && item.role == userRole" :class="{show:item.name.includes($route.name) || dropdowns[index]}">
                            <li v-for="itemChildren of item.children" :key="itemChildren.path" :class="{active:itemChildren.path === $route.name}">
                                <router-link :to="item.path+'/'+itemChildren.path" >
                                    <i class="ri-arrow-drop-right-fill"></i><span>{{itemChildren.showName}}</span>
                                </router-link>
                            </li>
                        </ul>
                    </li>
                </ul>
            </nav>
        </div>
    </div>
</template>
<style scoped>
.iq-sidebar-logo img {
    height: 11rem;
}
</style>
